Name:           adwmod-gtk-theme
Version:        2021.09.04
Release:        1%{?dist}
Summary:        A modified Adwaita (GNOME/GTK default theme) with some extras/enhancements/additions

BuildArch:	noarch
License:        GNU GPLv3
URL:            https://gitlab.com/hrdwrrsk/AdwMod-theme

BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  sassc

%description
AdwMod (Adwaita Modified, formerly AdwaitaExtended) is a Adwaita (GNOME/GTK default theme) fork modified with some enhancements and additions.

%prep
curl https://gitlab.com/hrdwrrsk/AdwMod-theme/-/archive/master/AdwMod-theme-master.tar.gz -o %{_sourcedir}/adwmod.tar.gz
tar -xvf %{_sourcedir}/adwmod.tar.gz -C %{_sourcedir}

%build
cd %{_sourcedir}/AdwMod-theme-master
meson build --prefix=%{buildroot}/usr/

%install
mkdir -p %{buildroot}/usr/share/themes/

cd %{_sourcedir}/AdwMod-theme-master
ninja -C build install

%clean
rm -rf %{_sourcedir}/AdwMod-theme-master
rm -rf %{_sourcedir}/adwmod.tar.gz

%files
/usr/share/themes/
